Package com.saxonica.ee.domino

## Class DominoTreeModel.DominoBuilder

- java.lang.Object
- - net.sf.saxon.event.Builder
  - - net.sf.saxon.dom.DOMWriter
    - - com.saxonica.ee.domino.DominoTreeModel.DominoBuilder

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`
  Enclosing class:
    DominoTreeModel

      public static class DominoTreeModel.DominoBuilder
      extends DOMWriter

  A Builder class for the Domino tree model

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.event.Builder

      `AXIOM_TREE, baseURI, config, currentRoot, DOMINO_TREE, JDOM_TREE, JDOM2_TREE, lineNumbering, LINKED_TREE, MUTABLE_LINKED_TREE, namePool, open, started, timing, TINY_TREE, TINY_TREE_CONDENSED, uniformBaseURI, UNSPECIFIED_TREE_MODEL, useEventLocation`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DominoBuilder​(PipelineConfiguration pipe)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeInfo` | `getCurrentRoot()` | Get the current root node.

    - ### Methods inherited from class net.sf.saxon.dom.DOMWriter

      `characters, close, comment, endDocument, endElement, getDOMDocumentNode, getPipelineConfiguration, getSystemId, open, processingInstruction, setNextSibling, setNode, setPipelineConfiguration, setSystemId, setUnparsedEntity, startDocument, startElement, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.Builder

      `getBaseURI, getBuilderMonitor, getConfiguration, isTiming, isUseEventLocation, reset, setBaseURI, setLineNumbering, setTiming, setUseEventLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.event.Receiver

      `append, append, handlesAppend`

- - ### Constructor Detail

    - #### DominoBuilder

          public DominoBuilder​(PipelineConfiguration pipe)

  - ### Method Detail

    - #### getCurrentRoot

          public NodeInfo getCurrentRoot()

      Get the current root node. This will normally be a document node, but if the root of the tree is an element node, it can be an element.
      Overrides:
        `getCurrentRoot` in class `DOMWriter`
      Returns:
        the root of the tree that is currently being built, or that has been most recently built using this builder